org.icefaces.ace.component.listexporter

## Class PDFExporter

- java.lang.Object
- - org.icefaces.ace.component.listexporter.Exporter
  - - org.icefaces.ace.component.listexporter.PDFExporter

-     public class PDFExporter
      extends Exporter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.reflect.Method` | `addCellMethod`
    `protected java.lang.Class` | `documentClass`
    `protected java.lang.Class` | `elementClass`
    `protected java.lang.Class` | `fontClass`
    `protected java.lang.Class` | `fontFactoryClass`
    `protected static java.util.logging.Logger` | `logger`
    `protected java.lang.Class` | `paragraphClass`
    `protected java.lang.reflect.Constructor` | `paragraphConstructor`
    `protected java.lang.Class` | `pdfPTableClass`
    `protected java.lang.Class` | `pdfWriterClass`
    `protected java.lang.Class` | `phraseClass`

    - ### Fields inherited from class org.icefaces.ace.component.listexporter.Exporter

      `encodingType, filename, HTML_TAG_PATTERN, includeHeaders, listExporterValues, pdfFont, postProcessor, preProcessor, selectedItemsOnly, textToExport`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFExporter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addColumnName(java.lang.Object pdfTable, ListExporterValue listExporterValue, java.lang.Object font)`
    `protected void` | `addItemValue(java.lang.Object pdfTable, java.util.List<javax.faces.component.UIComponent> components, java.lang.Object font)`
    `protected void` | `addItemValue(java.lang.Object pdfTable, ListExporterValue listExporterValue, java.lang.Object font)`
    `protected void` | `addItemValue(java.lang.Object pdfTable, javax.faces.component.UIComponent component, java.lang.Object font)`
    `protected void` | `addSelectItemValue(java.lang.Object pdfTable, javax.faces.model.SelectItem item, java.lang.Object font)`
    `java.lang.String` | `export(javax.faces.context.FacesContext facesContext, ListExporter component, ACEList list)`
    `protected void` | `exportPDFTable(javax.faces.context.FacesContext facesContext, java.lang.Object pdfTable, ACEList list, java.lang.String encoding, boolean includeHeaders, boolean selectedItemsOnly)`
    `protected void` | `loadMethods()`
    `protected void` | `loadNewClasses()`
    `protected void` | `loadOldClasses()`

    - ### Methods inherited from class org.icefaces.ace.component.listexporter.Exporter

      `exportValue, registerResource, setUp, shouldExcludeFromExport`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final java.util.logging.Logger logger

    - #### documentClass

          protected java.lang.Class documentClass

    - #### fontClass

          protected java.lang.Class fontClass

    - #### fontFactoryClass

          protected java.lang.Class fontFactoryClass

    - #### paragraphClass

          protected java.lang.Class paragraphClass

    - #### phraseClass

          protected java.lang.Class phraseClass

    - #### pdfPTableClass

          protected java.lang.Class pdfPTableClass

    - #### elementClass

          protected java.lang.Class elementClass

    - #### pdfWriterClass

          protected java.lang.Class pdfWriterClass

    - #### addCellMethod

          protected java.lang.reflect.Method addCellMethod

    - #### paragraphConstructor

          protected java.lang.reflect.Constructor paragraphConstructor

  - ### Constructor Detail

    - #### PDFExporter

          public PDFExporter()

  - ### Method Detail

    - #### loadNewClasses

          protected void loadNewClasses()
                                 throws java.lang.ClassNotFoundException

      Throws:
        `java.lang.ClassNotFoundException`

    - #### loadOldClasses

          protected void loadOldClasses()
                                 throws java.lang.ClassNotFoundException

      Throws:
        `java.lang.ClassNotFoundException`

    - #### loadMethods

          protected void loadMethods()
                              throws java.lang.NoSuchMethodException

      Throws:
        `java.lang.NoSuchMethodException`

    - #### export

          public java.lang.String export(javax.faces.context.FacesContext facesContext,
                                         ListExporter component,
                                         ACEList list)
                                  throws java.io.IOException

      Specified by:
        `export` in class `Exporter`
      Throws:
        `java.io.IOException`

    - #### exportPDFTable

          protected void exportPDFTable(javax.faces.context.FacesContext facesContext,
                                        java.lang.Object pdfTable,
                                        ACEList list,
                                        java.lang.String encoding,
                                        boolean includeHeaders,
                                        boolean selectedItemsOnly)
                                 throws java.io.IOException,
                                        java.lang.NoSuchMethodException,
                                        java.lang.IllegalAccessException,
                                        java.lang.reflect.InvocationTargetException,
                                        java.lang.InstantiationException

      Throws:
        `java.io.IOException`
        `java.lang.NoSuchMethodException`
        `java.lang.IllegalAccessException`
        `java.lang.reflect.InvocationTargetException`
        `java.lang.InstantiationException`

    - #### addSelectItemValue

          protected void addSelectItemValue(java.lang.Object pdfTable,
                                            javax.faces.model.SelectItem item,
                                            java.lang.Object font)
                                     throws java.lang.IllegalAccessException,
                                            java.lang.reflect.InvocationTargetException,
                                            java.lang.InstantiationException

      Throws:
        `java.lang.IllegalAccessException`
        `java.lang.reflect.InvocationTargetException`
        `java.lang.InstantiationException`

    - #### addItemValue

          protected void addItemValue(java.lang.Object pdfTable,
                                      javax.faces.component.UIComponent component,
                                      java.lang.Object font)
                               throws java.lang.IllegalAccessException,
                                      java.lang.reflect.InvocationTargetException,
                                      java.lang.InstantiationException

      Throws:
        `java.lang.IllegalAccessException`
        `java.lang.reflect.InvocationTargetException`
        `java.lang.InstantiationException`

    - #### addItemValue

          protected void addItemValue(java.lang.Object pdfTable,
                                      ListExporterValue listExporterValue,
                                      java.lang.Object font)
                               throws java.lang.IllegalAccessException,
                                      java.lang.reflect.InvocationTargetException,
                                      java.lang.InstantiationException

      Throws:
        `java.lang.IllegalAccessException`
        `java.lang.reflect.InvocationTargetException`
        `java.lang.InstantiationException`

    - #### addColumnName

          protected void addColumnName(java.lang.Object pdfTable,
                                       ListExporterValue listExporterValue,
                                       java.lang.Object font)
                                throws java.lang.IllegalAccessException,
                                       java.lang.reflect.InvocationTargetException,
                                       java.lang.InstantiationException

      Throws:
        `java.lang.IllegalAccessException`
        `java.lang.reflect.InvocationTargetException`
        `java.lang.InstantiationException`

    - #### addItemValue

          protected void addItemValue(java.lang.Object pdfTable,
                                      java.util.List<javax.faces.component.UIComponent> components,
                                      java.lang.Object font)
                               throws java.lang.IllegalAccessException,
                                      java.lang.reflect.InvocationTargetException,
                                      java.lang.InstantiationException

      Throws:
        `java.lang.IllegalAccessException`
        `java.lang.reflect.InvocationTargetException`
        `java.lang.InstantiationException`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.